Services API
List Services
GET /v1/environments/:environmentId/servicesCreate Application
POST /v1/environments/:environmentId/services/applicationjson
{
"name": "my-app",
"slug": "my-app",
"gitRepoUrl": "https://github.com/user/repo",
"gitBranch": "main",
"port": 3000,
"planId": "uuid"
}Create WordPress
POST /v1/environments/:environmentId/services/wordpressjson
{
"name": "my-blog",
"slug": "my-blog",
"siteTitle": "My Blog",
"adminEmail": "admin@example.com",
"planId": "uuid"
}Create Database
POST /v1/environments/:environmentId/services/databasejson
{
"name": "my-db",
"dbType": "postgresql",
"dbVersion": "16"
}Get Service
GET /v1/services/:serviceIdStop Service
POST /v1/services/:serviceId/stopRestart Service
POST /v1/services/:serviceId/restartDelete Service
DELETE /v1/environments/:environmentId/services/:serviceId